OpenTTD: LinkGraph::ConstNode Class Reference

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
LinkGraph::ConstNode Class Reference

Constant node class. More...

`#include <linkgraph.h>`

Inheritance diagram for LinkGraph::ConstNode:

## Public Member Functions
| ConstNode (const LinkGraph *lg, NodeID node)
| Constructor.
ConstEdge | operator[] (NodeID to) const
| Get a ConstEdge.
ConstEdgeIterator | Begin () const
| Get an iterator pointing to the start of the edges array.
ConstEdgeIterator | End () const
| Get an iterator pointing beyond the end of the edges array.
Public Member Functions inherited from LinkGraph::NodeWrapper< const BaseNode, const BaseEdge >
| NodeWrapper (const BaseNode &node, const BaseEdge *edges, NodeID index)
| Wrap a node.
uint | Supply () const
| Get supply of wrapped node.
uint | Demand () const
| Get demand of wrapped node.
StationID | Station () const
| Get ID of station belonging to wrapped node.
Date | LastUpdate () const
| Get node's last update.
TileIndex | XY () const
| Get the location of the station associated with the node.

## Additional Inherited Members
Protected Attributes inherited from LinkGraph::NodeWrapper< const BaseNode, const BaseEdge >
const BaseNode & | node
| Node being wrapped.
const BaseEdge * | edges
| Outgoing edges for wrapped node.
NodeID | index
| ID of wrapped node.

## Detailed Description

Constant node class.

Only retrieval operations are allowed on both the node itself and its edges.

Definition at line 339 of file linkgraph.h.

## Constructor & Destructor Documentation

LinkGraph::ConstNode::ConstNode | ( | const LinkGraph * | lg,
|  | NodeID | node
| ) |  |
| inline

Constructor.

Parameters

  lg | LinkGraph to get the node from.
  node | ID of the node.

Definition at line 346 of file linkgraph.h.

## Member Function Documentation

ConstEdgeIterator LinkGraph::ConstNode::Begin | ( |  | ) | const
| inline

Get an iterator pointing to the start of the edges array.

Returns
  Constant edge iterator.

Reimplemented in LinkGraphJob::Node.

Definition at line 362 of file linkgraph.h.

References LinkGraph::NodeWrapper< const BaseNode, const BaseEdge >::edges, and LinkGraph::NodeWrapper< const BaseNode, const BaseEdge >::index.

Referenced by LinkGraphOverlay::RebuildCache().

ConstEdgeIterator LinkGraph::ConstNode::End | ( |  | ) | const
| inline

Get an iterator pointing beyond the end of the edges array.

Returns
  Constant edge iterator.

Reimplemented in LinkGraphJob::Node.

Definition at line 368 of file linkgraph.h.

References LinkGraph::NodeWrapper< const BaseNode, const BaseEdge >::edges.

Referenced by LinkGraphOverlay::RebuildCache().

ConstEdge LinkGraph::ConstNode::operator[] | ( | NodeID | to | ) | const
| inline

Get a ConstEdge.

This is not a reference as the wrapper objects are not actually persistent.

Parameters

  to | ID of end node of edge.

Returns
  Constant edge wrapper.

Reimplemented in LinkGraphJob::Node.

Definition at line 356 of file linkgraph.h.

References LinkGraph::NodeWrapper< const BaseNode, const BaseEdge >::edges.

The documentation for this class was generated from the following file:

- src/linkgraph/linkgraph.h